// Copyright (C) 1999 Jean-Marc Valin


#ifndef VISIXPROJECT_H
#define VISIXPROJECT_H


#include <gnome.h>
#include <string>
#include <vector>
#include "VisixSource.h"
#include <tree.h>
#include <parser.h>
#include "AudioProperties.h"
class VisixApp;

class VisixProject {
  protected:
   string name;
   GtkWidget *tree;
   GtkWidget *parent;
   GtkWidget *item;
   vector<VisixSource *> sources;
   GtkWidget *menu;
   VisixApp *app;
   AudioProperties *properties;
  public:
   VisixProject(GtkWidget *_parent, VisixApp *_app, const string &name);
   VisixProject(GtkWidget *_parent, VisixApp *_app, xmlNodePtr proj);
   void setup();
   void popup(GdkEvent *event);
   void addFile(const string &fullpath);
   void save (xmlNode *root);
   void showProperties();
   void removeSource(VisixSource *src);
   AudioProperties *getProperties() {return properties;}
   VisixApp *getApp() {return app;}
};

#endif
