// Copyright (C) 1999 Jean-Marc Valin


#ifndef VISIXSOURCE_H
#define VISIXSOURCE_H


#include <gnome.h>
#include <string>
#include "AudioData.h"
#include "AudioProperties.h"
#include <tree.h>
#include <parser.h>

using namespace std;

class VisixProject;

class VisixSource {
  protected:
   string name;
   GtkWidget *parent;
   GtkWidget *item;
   bool selected;
   GtkWidget *pix;

   AudioProperties *properties;
   AudioData *source;
   GtkWidget *menu;
   VisixProject *project;
  public:
   VisixSource(GtkWidget *_parent, VisixProject *_project, const string &_name);
   virtual ~VisixSource();
   void toggle();
   virtual void showProperties();
   virtual void save (xmlNode *root)=0;
   AudioProperties *getProperties() {return properties;}
   void remove();
  protected:
   static GdkPixmap *getSelectPix(GdkBitmap **mask);
   static GdkPixmap *getUnselectPix(GdkBitmap **mask);

   virtual void loadSource()=0;
   virtual void unloadSource()=0;
};

#endif
